Subject: Re: linux-next: build failure after merge of the mfd tree

From: Bartosz Golaszewski <[email-masked]>
Date: Thu, 4 Sep 2025 09:17:45 +0200

On Thu, 4 Sept 2025 at 08:30, Lee Jones <[email-masked]> wrote:
>
> On Thu, 04 Sep 2025, Stephen Rothwell wrote:
>
> > Hi all,
> >
> > After merging the mfd tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> >
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_get':
> > gpio-stmpe.c:(.text+0x21a7c29): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_get_direction':
> > gpio-stmpe.c:(.text+0x21a7db2): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_irq_sync_unlock':
> > gpio-stmpe.c:(.text+0x21a8166): undefined reference to `stmpe_reg_write'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a82ef): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a8372): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_irq':
> > gpio-stmpe.c:(.text+0x21a8c27): undefined reference to `stmpe_block_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a8f05): undefined reference to `stmpe_reg_write'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a8f89): undefined reference to `stmpe_reg_write'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_disable':
> > gpio-stmpe.c:(.text+0x21a91dc): undefined reference to `stmpe_disable'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_set':
> > gpio-stmpe.c:(.text+0x21a93a4): undefined reference to `stmpe_reg_write'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a941e): undefined reference to `stmpe_set_bits'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_direction_output':
> > gpio-stmpe.c:(.text+0x21a95a4): undefined reference to `stmpe_set_bits'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_direction_input':
> > gpio-stmpe.c:(.text+0x21a9705): undefined reference to `stmpe_set_bits'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_request':
> > gpio-stmpe.c:(.text+0x21a983e): undefined reference to `stmpe_set_altfunc'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_dbg_show_one':
> > gpio-stmpe.c:(.text+0x21a99c0): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a9b8c): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a9bb1): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a9c61): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21a9e6c): undefined reference to `stmpe_reg_read'
> > x86_64-linux-gnu-ld: vmlinux.o: in function `stmpe_gpio_probe':
> > gpio-stmpe.c:(.text+0x21aa5b2): undefined reference to `stmpe_enable'
> > x86_64-linux-gnu-ld: gpio-stmpe.c:(.text+0x21aa83e): undefined reference to `stmpe_disable'
> >
> > Presumably caused by commit
> >
> >   e160dd0ac8c3 ("mfd: stmpe: Allow building as module")
>
> Okay, I have removed this patch until it can be better tested.
>
> > I have used the mfd tree from next-20250903 for today.
> >
> > Note that commit
> >
> >  03db20aaa3ba ("gpio: stmpe: Allow to compile as a module")
> >
> > is in the gpio-brgl tree which has not been merged into linux-next at
> > this point.
>
> Okay, perhaps these need to go in together then.
>
> Thanks Stephen.
>

I can take it through the GPIO tree if you will and set up an
immutable branch for you. Or not if the potential conflict is minimal.

Bartosz